            #GIT_CMT=f7cafc63658ed8ef9c40c6cfde5e832c17b6881b
#
# Spec file for oracleasm-support
#

%define _prefix /usr
%define _unpackaged_files_terminate_build 0

Summary: The Oracle Automatic Storage Management support programs.
Name: oracleasm-support
Version: 3.1.0
Release:    10.el8
License: GPL
Group: System Environment/Kernel
Source: oracleasm-support-3.1.0.tar.bz2
Distribution: Oracle
Vendor: Oracle Corporation
AutoReqProv: no

BuildRequires: autoconf
BuildRequires: bpftool >= 5.15.0
BuildRequires: clang >= 11.0.0
BuildRequires: llvm >= 11.0.0

%if 0%{?oraclelinux} < 10
BuildRequires: kernel-uek-headers >= 5.15.0-0.23.1
%endif

%if 0%{?oraclelinux} == 8
Requires: libbpf >= 0.6.0
BuildRequires: libbpf >= 0.6.0
BuildRequires: libbpf-devel >= 0.6.0
%else
Requires: libbpf >= 1.0.0
BuildRequires: libbpf >= 1.0.0
BuildRequires: libbpf-devel >= 1.0.0
%endif

BuildRoot: %{_tmppath}/oracleasm-support-%{version}-%{release}-root

%description
Tools to manage the Oracle Automatic Storage Management Library

%prep
%setup -n oracleasm-support-%{version}

%build
autoreconf -fiv
./configure					\
	--prefix=%{_prefix}			\
	--exec-prefix=%{_exec_prefix}		\
	--bindir=%{_bindir}			\
	--sbindir=%{_sbindir}			\
	--sysconfdir=%{_sysconfdir}		\
	--datadir=%{_datadir}			\
	--includedir=%{_includedir}		\
	--libdir=%{_libdir}			\
	--libexecdir=%{_libexecdir}		\
	--localstatedir=%{_localstatedir}	\
	--sharedstatedir=%{_sharedstatedir}	\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
	--sbindir=/usr/sbin			\
	--with-execpath=/usr/lib/oracleasm
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp -f oracleasm.service $RPM_BUILD_ROOT/usr/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp -f oracleasm.init $RPM_BUILD_ROOT/usr/sbin/oracleasm.init
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f oracleasm.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/oracleasm
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
systemctl enable oracleasm

%files
%defattr(-,root,root)
%doc documents/ReleaseNotes
/usr/lib/systemd/system/oracleasm.service
/usr/sbin/oracleasm
/usr/sbin/oracleasm.init
/usr/lib/oracleasm
/usr/share/man
/usr/lib/udev/rules.d/99-iofilter-asm-map.rules
/usr/lib/systemd/system/systemd-udevd.service.d/systemd-udevd-bpf.conf
%config(noreplace) /etc/sysconfig/oracleasm

%changelog
* Fri Apr 11 2025 Martin K. Petersen <martin.petersen@oracle.com> - 3.1.0-10
- Various bug fixes

* Tue Apr 01 2025 Martin K. Petersen <martin.petersen@oracle.com> - 3.1.0-8
- Enhance warnings and error messages
- Fix I/O filter for discard operations
- Fix systemd service management

* Tue Mar 11 2025 Martin K. Petersen <martin.petersen@oracle.com> - 3.1.0-4
- Switch to systemd for service management
- Various bug fixes

* Wed Feb 05 2025 Martin K. Petersen <martin.petersen@oracle.com> - 3.1.0-1
- Inhibit overwriting active ASM disks
- Remove support for multiple driver instances
- Validate that io_uring is available
- Validate that the ASMLIB binary can be loaded
- Add -i option to querydisk to print detailed disk information

* Thu Dec 19 2024 Martin K. Petersen <martin.petersen@oracle.com> - 3.0.1-1
- Remove obsolete utilities and headers
- Clean up build infrastructure
- Fix bugs reported by static analyzer
- Update iofilter to permit discards and ACFS I/O

* Wed Oct 16 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-6
- Merge the oracle-iofilter-asm rpm files back into oracleasm-support rpm
- Bump version to 3.0.0-6

* Mon Sep 23 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-5
- Added 'discover' command to oracleasm tool and man page for it
- Updated copyright messages
- Updated oracleasm-configure man page to show -f option
- Removed obsoleted update-driver command option from oracleasm tool
- Bump version to 3.0.0-5

* Fri Aug 23 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-4
- Remove runtime dependency on libbpf-devel
- Bump version to 3.0.0-4

* Wed Jul 10 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-3
- Moved ASM IO Filter program into a separate package, oracle-iofilter-asm
- Bump verson to 3.0.0-3

* Wed May 22 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-2
- Fixed a bug in renamedisk command for v3 interface [Oragug: 36643584]
- Bump verson to 3.0.0-2

* Tue Mar 26 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-1
- Enhanced oracleasm tools to support UEK7+ kernels and ASMLib v3 [OraBug: 34266349]
- Enable tools to work with UEK7+ kernels that do not have oracleasm driver
- Maintain backward compatibility with older kernels that have oracleasm driver
- Added iofilter for UEK7+ kernels to protect accidental writes to ASM disks
  by admin commands like dd(1)
- oracleasm-configure: Added two new config parameters for the iofilter feature 
- Bump version to 3.0.0-1

* Tue Feb 25 2020 Rajan Shanmugavelu <rajan.shanmugavelu@oracle.com>
- asmlib-support: add git build support OL8/UEK6 (OraBug : 30220714)

* Thu Feb 01 2018 Divya Indi <divya.indi@oracle.com> - 2.1.11-2
- Avoid overwriting config file during upgrade. (Orabug: 27319104)

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Bump version to 2.1.11-1

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Remove init.d reference in /etc/sysconfig/oracleasm (Orabug: 25600971)

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Add-support for handling unused iid files. (Orabug: 22110521)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Add timestamps to /var/log/oracleasm. (Orabug: 21062107)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Restore deleted ASMLib disk. (Orabug: 24161349)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Track devices under dir other than default. (Orabug: 13097990)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Document -f option for renamedisk.(Orabug:19234632)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Modifying err msg for createdisk. (Orabug: 23040118)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Print deprecated warning when running /etc/init.d/oracleasm.
- (Orabug: 21678991)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Add systemctl support. (Orabug: 18513404)

* Wed Jan 07 2004 Joel Becker <joel.becker@oracle.com>
- Make open package.

* Thu Dec 11 2003 Joel Becker <joel.becker@oracle.com>
- Try at userspace thingie.

* Wed Nov 12 2003 Joel Becker <joel.becker@oracle.com>
- Start the ASM rename.

* Thu Oct 30 2003 Joel Becker <joel.becker@oracle.com>
- Created EL3 version

* Mon Jun 23 2003 Joel Becker <joel.becker@oracle.com>
- Added osm-lib bits

* Fri Jun 20 2003 Joel Becker <joel.becker@oracle.com>
- Initial RPM

